Subject: bug#13523: 24.2.92; [regression] mark-active

From: Dmitry Gutov <[email-masked]>
Date: Tue, 22 Jan 2013 12:28:19 +0400

Leo Liu <[email-masked]> writes:

> I have just wasted a few hours wondering some odd behaviour in js2-mode
> but to discover it is due to change between Emacs 23 and 24.
>
> 1. (global-set-key [mouse-1] (lambda (e) (interactive "e")))
> 2. Mouse-1 click on a buffer and check the value of mark-active
>
> In emacs 23 it is nil; but in emacs 24.2/24.2.92, it is t.
>
> With mark-active set to t, some commands following mouse-1 activate the
> region unexpectedly and inconveniently, for example, in js2-mode, C-a
> activate the region between the mouse and line beginning.
>
> It seems 23 and 24 is consistent only if [mouse-1] is bound to
> mouse-set-point.
>
> As a result of this bug, most customised [mouse-1] commands fail to
> handle mark-active i.e. it is subtle and hard to get the customised
> mouse-1 command behave like mouse-set-point leaving users with creepy
> behaviour like the one I am seeing in js2 mode.

As far as js2-mode goes, this is supposed to be fixed:
https://github.com/mooz/js2-mode/issues/77

Also see http://lists.gnu.org/archive/html/help-gnu-emacs/2012-12/msg00152.html